import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  _count: SortOrderSchema.optional()
}).strict();
export const InsuranceCredentialOrderByRelationAggregateInputObjectSchema: z.ZodType<Prisma.InsuranceCredentialOrderByRelationAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.InsuranceCredentialOrderByRelationAggregateInput>;
export const InsuranceCredentialOrderByRelationAggregateInputObjectZodSchema = makeSchema();
